// This file is part of the SV-Benchmarks collection of verification tasks:
// https://gitlab.com/sosy-lab/benchmarking/sv-benchmarks
//
// SPDX-FileCopyrightText: 2023 Levente Bajczi, Department of Measurement and Information Systems, Budapest University of Technology and Economics
//
// SPDX-License-Identifier: Apache-2.0

// Original CHC file: vmt-chc-benchmarks/lamport_safe_000.smt2
extern void abort ();
extern int __VERIFIER_nondet_int ();
extern _Bool __VERIFIER_nondet__Bool ();
extern void __assert_fail(const char *, const char *, unsigned int, const char *) __attribute__ ((__nothrow__ , __leaf__)) __attribute__ ((__noreturn__));
void reach_error() { __assert_fail("0", "lamport_safe_000_range.c", 13, "reach_error"); }



int main ();

int
main ()
{
    // return parameter


    // variables
    _Bool state_0;
    _Bool state_1;
    _Bool state_2;
    _Bool state_3;
    _Bool state_4;
    _Bool state_5;
    _Bool state_6;
    _Bool state_7;
    _Bool state_8;
    _Bool state_9;
    int state_10;
    int state_11;
    int state_12;
    int state_13;
    int state_14;
    _Bool A_0;
    _Bool B_0;
    int C_0;
    _Bool D_0;
    int E_0;
    int F_0;
    int G_0;
    _Bool H_0;
    _Bool I_0;
    _Bool J_0;
    _Bool K_0;
    _Bool L_0;
    int M_0;
    _Bool N_0;
    _Bool O_0;
    _Bool A_1;
    _Bool B_1;
    int C_1;
    _Bool D_1;
    int E_1;
    int F_1;
    _Bool G_1;
    _Bool H_1;
    int I_1;
    int J_1;
    int K_1;
    int L_1;
    _Bool M_1;
    _Bool N_1;
    _Bool O_1;
    _Bool P_1;
    _Bool Q_1;
    _Bool R_1;
    _Bool S_1;
    _Bool T_1;
    _Bool U_1;
    int V_1;
    _Bool W_1;
    int X_1;
    _Bool Y_1;
    _Bool Z_1;
    _Bool A1_1;
    _Bool B1_1;
    _Bool C1_1;
    int D1_1;
    _Bool E1_1;
    _Bool F1_1;
    _Bool A_2;
    _Bool B_2;
    int C_2;
    _Bool D_2;
    int E_2;
    int F_2;
    int G_2;
    _Bool H_2;
    _Bool I_2;
    _Bool J_2;
    _Bool K_2;
    _Bool L_2;
    int M_2;
    _Bool N_2;
    _Bool O_2;

    if (((state_10 <= -1000000000) || (state_10 >= 1000000000))
        || ((state_11 <= -1000000000) || (state_11 >= 1000000000))
        || ((state_12 <= -1000000000) || (state_12 >= 1000000000))
        || ((state_13 <= -1000000000) || (state_13 >= 1000000000))
        || ((state_14 <= -1000000000) || (state_14 >= 1000000000))
        || ((C_0 <= -1000000000) || (C_0 >= 1000000000))
        || ((E_0 <= -1000000000) || (E_0 >= 1000000000))
        || ((F_0 <= -1000000000) || (F_0 >= 1000000000))
        || ((G_0 <= -1000000000) || (G_0 >= 1000000000))
        || ((M_0 <= -1000000000) || (M_0 >= 1000000000))
        || ((C_1 <= -1000000000) || (C_1 >= 1000000000))
        || ((E_1 <= -1000000000) || (E_1 >= 1000000000))
        || ((F_1 <= -1000000000) || (F_1 >= 1000000000))
        || ((I_1 <= -1000000000) || (I_1 >= 1000000000))
        || ((J_1 <= -1000000000) || (J_1 >= 1000000000))
        || ((K_1 <= -1000000000) || (K_1 >= 1000000000))
        || ((L_1 <= -1000000000) || (L_1 >= 1000000000))
        || ((V_1 <= -1000000000) || (V_1 >= 1000000000))
        || ((X_1 <= -1000000000) || (X_1 >= 1000000000))
        || ((D1_1 <= -1000000000) || (D1_1 >= 1000000000))
        || ((C_2 <= -1000000000) || (C_2 >= 1000000000))
        || ((E_2 <= -1000000000) || (E_2 >= 1000000000))
        || ((F_2 <= -1000000000) || (F_2 >= 1000000000))
        || ((G_2 <= -1000000000) || (G_2 >= 1000000000))
        || ((M_2 <= -1000000000) || (M_2 >= 1000000000)))
        abort ();

    // main logic
    goto main_init;

  main_init:
    if (!
        ((C_0 == 0) && (M_0 == 0) && (G_0 == 0) && (E_0 == 0)
         && (H_0 || I_0 || J_0 || (!K_0) || (!L_0)) && (D_0 || N_0 || O_0
                                                        || (!A_0) || (!B_0))
         && ((!L_0) || ((!H_0) && (!I_0) && (!J_0))) && ((!B_0)
                                                         || ((!D_0) && (!N_0)
                                                             && (!O_0)))
         && (!O_0) && (!N_0) && (!L_0) && (!K_0) && (!J_0) && (!I_0) && (!H_0)
         && (!A_0) && (!B_0) && (!D_0) && (F_0 == 0)))
        abort ();
    state_0 = J_0;
    state_1 = I_0;
    state_2 = H_0;
    state_3 = L_0;
    state_4 = K_0;
    state_5 = D_0;
    state_6 = O_0;
    state_7 = N_0;
    state_8 = B_0;
    state_9 = A_0;
    state_10 = F_0;
    state_11 = E_0;
    state_12 = C_0;
    state_13 = M_0;
    state_14 = G_0;
    G_1 = __VERIFIER_nondet__Bool ();
    H_1 = __VERIFIER_nondet__Bool ();
    I_1 = __VERIFIER_nondet_int ();
    if (((I_1 <= -1000000000) || (I_1 >= 1000000000)))
        abort ();
    J_1 = __VERIFIER_nondet_int ();
    if (((J_1 <= -1000000000) || (J_1 >= 1000000000)))
        abort ();
    K_1 = __VERIFIER_nondet_int ();
    if (((K_1 <= -1000000000) || (K_1 >= 1000000000)))
        abort ();
    L_1 = __VERIFIER_nondet_int ();
    if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
        abort ();
    M_1 = __VERIFIER_nondet__Bool ();
    N_1 = __VERIFIER_nondet__Bool ();
    O_1 = __VERIFIER_nondet__Bool ();
    P_1 = __VERIFIER_nondet__Bool ();
    Q_1 = __VERIFIER_nondet__Bool ();
    R_1 = __VERIFIER_nondet__Bool ();
    S_1 = __VERIFIER_nondet__Bool ();
    T_1 = __VERIFIER_nondet__Bool ();
    U_1 = __VERIFIER_nondet__Bool ();
    V_1 = __VERIFIER_nondet_int ();
    if (((V_1 <= -1000000000) || (V_1 >= 1000000000)))
        abort ();
    W_1 = __VERIFIER_nondet__Bool ();
    A1_1 = state_0;
    Z_1 = state_1;
    Y_1 = state_2;
    C1_1 = state_3;
    B1_1 = state_4;
    D_1 = state_5;
    F1_1 = state_6;
    E1_1 = state_7;
    B_1 = state_8;
    A_1 = state_9;
    F_1 = state_10;
    E_1 = state_11;
    C_1 = state_12;
    D1_1 = state_13;
    X_1 = state_14;
    if (!
        ((Y_1 || Z_1 || A1_1 || B1_1 || (!C1_1) || (!G_1)
          || (Q_1 && (!P_1) && (!O_1) && (!N_1) && (!M_1) && (C_1 == L_1)
              && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (Y_1 || Z_1
                                                                    || A1_1
                                                                    || B1_1
                                                                    || C1_1
                                                                    || (!G_1)
                                                                    || (P_1
                                                                        &&
                                                                        (!O_1)
                                                                        &&
                                                                        (!N_1)
                                                                        &&
                                                                        (!M_1)
                                                                        &&
                                                                        (C_1
                                                                         ==
                                                                         L_1)
                                                                        &&
                                                                        (E_1
                                                                         ==
                                                                         K_1)
                                                                        &&
                                                                        (F_1
                                                                         ==
                                                                         I_1)
                                                                        &&
                                                                        (J_1
                                                                         ==
                                                                         2)))
         && (A_1 || D_1 || E1_1 || F1_1 || (!B_1) || (!H_1)
             || (W_1 && (!U_1) && (!T_1) && (!S_1) && (!R_1) && (C_1 == L_1)
                 && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (A_1
                                                                        || B_1
                                                                        || D_1
                                                                        ||
                                                                        E1_1
                                                                        ||
                                                                        F1_1
                                                                        ||
                                                                        (!H_1)
                                                                        ||
                                                                        (U_1
                                                                         &&
                                                                         (!T_1)
                                                                         &&
                                                                         (!S_1)
                                                                         &&
                                                                         (!R_1)
                                                                         &&
                                                                         (C_1
                                                                          ==
                                                                          L_1)
                                                                         &&
                                                                         (E_1
                                                                          ==
                                                                          K_1)
                                                                         &&
                                                                         (F_1
                                                                          ==
                                                                          I_1)
                                                                         &&
                                                                         (V_1
                                                                          ==
                                                                          1)))
         && (Y_1 || Z_1 || (!A1_1) || (!B1_1) || (!G_1)
             || ((!Q_1) && (!P_1) && (!O_1) && (!N_1) && (!M_1)
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (X_1 == J_1))) && (Z_1 || B1_1 || (!Y_1) || (!A1_1)
                                       || (!G_1) || ((!Q_1) && (!P_1)
                                                     && (!O_1) && (!N_1)
                                                     && (!M_1) && (C_1 == L_1)
                                                     && (E_1 == K_1)
                                                     && (F_1 == I_1)
                                                     && (X_1 == J_1)))
         && ((!Y_1) || (!Z_1) || (!A1_1) || (!B1_1) || (!G_1)
             || (Q_1 && (!P_1) && (!O_1) && (!N_1) && (!M_1) && (C_1 == L_1)
                 && (E_1 == K_1) && (F_1 == I_1) && (J_1 == 0))) && (Z_1
                                                                     || (!Y_1)
                                                                     ||
                                                                     (!A1_1)
                                                                     ||
                                                                     (!B1_1)
                                                                     || (!G_1)
                                                                     ||
                                                                     ((!P_1)
                                                                      && O_1
                                                                      && N_1
                                                                      && M_1
                                                                      && (E_1
                                                                          ==
                                                                          K_1)
                                                                      && (F_1
                                                                          ==
                                                                          I_1)
                                                                      && (L_1
                                                                          ==
                                                                          2)
                                                                      && (X_1
                                                                          ==
                                                                          J_1)))
         && (Y_1 || B1_1 || (!Z_1) || (!A1_1) || (!G_1)
             || (P_1 && O_1 && (!N_1) && M_1 && (C_1 == L_1) && (F_1 == I_1)
                 && (K_1 == 2) && (X_1 == J_1))) && (Y_1 || (!Z_1) || (!A1_1)
                                                     || (!B1_1) || (!G_1)
                                                     || (P_1 && O_1 && N_1
                                                         && M_1
                                                         && (C_1 == L_1)
                                                         && (F_1 == I_1)
                                                         && (K_1 == 0)
                                                         && (X_1 == J_1)))
         && (Z_1 || A1_1 || B1_1 || (!Y_1) || (!G_1)
             || ((!P_1) && O_1 && (!N_1) && (!M_1) && (C_1 == L_1)
                 && (E_1 == K_1) && (I_1 == 2) && (X_1 == J_1))) && (Y_1
                                                                     || Z_1
                                                                     || A1_1
                                                                     ||
                                                                     (!B1_1)
                                                                     || (!G_1)
                                                                     || (P_1
                                                                         &&
                                                                         (!O_1)
                                                                         &&
                                                                         N_1
                                                                         &&
                                                                         (!M_1)
                                                                         &&
                                                                         (C_1
                                                                          ==
                                                                          L_1)
                                                                         &&
                                                                         (E_1
                                                                          ==
                                                                          K_1)
                                                                         &&
                                                                         (F_1
                                                                          ==
                                                                          I_1)
                                                                         &&
                                                                         (J_1
                                                                          ==
                                                                          2)))
         && (A1_1 || B1_1 || (!Y_1) || (!Z_1) || (!G_1)
             || ((!P_1) && (!O_1) && (!N_1) && M_1 && (C_1 == L_1)
                 && (E_1 == K_1) && (F_1 == I_1) && (J_1 == 0))) && (Y_1
                                                                     || A1_1
                                                                     || (!Z_1)
                                                                     ||
                                                                     (!B1_1)
                                                                     || (!G_1)
                                                                     ||
                                                                     (((!(E_1
                                                                          ==
                                                                          2))
                                                                       || (P_1
                                                                           &&
                                                                           (!O_1)
                                                                           &&
                                                                           N_1
                                                                           &&
                                                                           M_1))
                                                                      &&
                                                                      ((E_1 ==
                                                                        2)
                                                                       || (P_1
                                                                           &&
                                                                           O_1
                                                                           &&
                                                                           N_1
                                                                           &&
                                                                           (!M_1)))
                                                                      && (C_1
                                                                          ==
                                                                          L_1)
                                                                      && (E_1
                                                                          ==
                                                                          K_1)
                                                                      && (F_1
                                                                          ==
                                                                          I_1)
                                                                      && (X_1
                                                                          ==
                                                                          J_1)))
         && (Z_1 || A1_1 || (!Y_1) || (!B1_1) || (!G_1)
             || (((1 <= D1_1) || ((!P_1) && O_1 && N_1 && (!M_1)))
                 && ((!(1 <= D1_1)) || (P_1 && (!O_1) && N_1 && (!M_1)))
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (X_1 == J_1))) && (Y_1 || A1_1 || B1_1 || (!Z_1) || (!G_1)
                                       ||
                                       (((!(E_1 == 0))
                                         || ((!P_1) && O_1 && (!N_1) && M_1))
                                        && ((E_1 == 0)
                                            || (P_1 && O_1 && (!N_1)
                                                && (!M_1))) && (C_1 == L_1)
                                        && (E_1 == K_1) && (F_1 == I_1)
                                        && (X_1 == J_1))) && (A1_1 || (!Y_1)
                                                              || (!Z_1)
                                                              || (!B1_1)
                                                              || (!G_1)
                                                              ||
                                                              (((!(E_1 == 0))
                                                                || ((!P_1)
                                                                    && (!O_1)
                                                                    && N_1
                                                                    && M_1))
                                                               && ((E_1 == 0)
                                                                   || (P_1
                                                                       && O_1
                                                                       && N_1
                                                                       &&
                                                                       (!M_1)))
                                                               && (C_1 == L_1)
                                                               && (E_1 == K_1)
                                                               && (F_1 == I_1)
                                                               && (X_1 ==
                                                                   J_1)))
         && (B1_1 || (!Y_1) || (!Z_1) || (!A1_1) || (!G_1)
             || (((F_1 == 2) || ((!P_1) && (!O_1) && N_1 && (!M_1)))
                 && ((!(F_1 == 2)) || (P_1 && (!O_1) && N_1 && M_1))
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (X_1 == J_1))) && (Y_1 || Z_1 || B1_1 || (!A1_1) || (!G_1)
                                       ||
                                       (((E_1 == 0)
                                         || ((!P_1) && (!O_1) && (!N_1)
                                             && M_1)) && ((!(E_1 == 0))
                                                          || (P_1 && (!O_1)
                                                              && (!N_1)
                                                              && M_1))
                                        && (C_1 == L_1) && (E_1 == K_1)
                                        && (F_1 == I_1) && (X_1 == J_1)))
         && (A_1 || F1_1 || (!E1_1) || (!D_1) || (!H_1)
             || ((!W_1) && (!U_1) && (!T_1) && (!S_1) && (!R_1)
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (D1_1 == V_1))) && (E1_1 || F1_1 || (!D_1) || (!A_1)
                                        || (!H_1) || ((!W_1) && (!U_1)
                                                      && (!T_1) && (!S_1)
                                                      && (!R_1)
                                                      && (C_1 == L_1)
                                                      && (E_1 == K_1)
                                                      && (F_1 == I_1)
                                                      && (D1_1 == V_1)))
         && ((!E1_1) || (!F1_1) || (!D_1) || (!A_1) || (!H_1)
             || (W_1 && (!U_1) && (!T_1) && (!S_1) && (!R_1) && (C_1 == L_1)
                 && (E_1 == K_1) && (F_1 == I_1) && (V_1 == 0))) && (F1_1
                                                                     ||
                                                                     (!E1_1)
                                                                     || (!D_1)
                                                                     || (!A_1)
                                                                     || (!H_1)
                                                                     ||
                                                                     ((!U_1)
                                                                      && T_1
                                                                      && S_1
                                                                      && R_1
                                                                      && (E_1
                                                                          ==
                                                                          K_1)
                                                                      && (F_1
                                                                          ==
                                                                          I_1)
                                                                      && (L_1
                                                                          ==
                                                                          1)
                                                                      && (D1_1
                                                                          ==
                                                                          V_1)))
         && (A_1 || E1_1 || (!F1_1) || (!D_1) || (!H_1)
             || (U_1 && T_1 && (!S_1) && R_1 && (C_1 == L_1) && (F_1 == I_1)
                 && (K_1 == 1) && (D1_1 == V_1))) && (E1_1 || (!F1_1)
                                                      || (!D_1) || (!A_1)
                                                      || (!H_1) || (U_1 && T_1
                                                                    && S_1
                                                                    && R_1
                                                                    && (C_1 ==
                                                                        L_1)
                                                                    && (F_1 ==
                                                                        I_1)
                                                                    && (K_1 ==
                                                                        0)
                                                                    && (D1_1
                                                                        ==
                                                                        V_1)))
         && (A_1 || D_1 || F1_1 || (!E1_1) || (!H_1)
             || ((!U_1) && T_1 && (!S_1) && (!R_1) && (C_1 == L_1)
                 && (E_1 == K_1) && (I_1 == 1) && (D1_1 == V_1))) && (D_1
                                                                      || E1_1
                                                                      || F1_1
                                                                      ||
                                                                      (!A_1)
                                                                      ||
                                                                      (!H_1)
                                                                      || (U_1
                                                                          &&
                                                                          (!T_1)
                                                                          &&
                                                                          S_1
                                                                          &&
                                                                          (!R_1)
                                                                          &&
                                                                          (C_1
                                                                           ==
                                                                           L_1)
                                                                          &&
                                                                          (E_1
                                                                           ==
                                                                           K_1)
                                                                          &&
                                                                          (F_1
                                                                           ==
                                                                           I_1)
                                                                          &&
                                                                          (V_1
                                                                           ==
                                                                           1)))
         && (A_1 || D_1 || (!E1_1) || (!F1_1) || (!H_1)
             || ((!U_1) && (!T_1) && (!S_1) && R_1 && (C_1 == L_1)
                 && (E_1 == K_1) && (F_1 == I_1) && (V_1 == 0))) && (D_1
                                                                     || E1_1
                                                                     ||
                                                                     (!F1_1)
                                                                     || (!A_1)
                                                                     || (!H_1)
                                                                     ||
                                                                     (((!(E_1
                                                                          ==
                                                                          1))
                                                                       || (U_1
                                                                           &&
                                                                           (!T_1)
                                                                           &&
                                                                           S_1
                                                                           &&
                                                                           R_1))
                                                                      &&
                                                                      ((E_1 ==
                                                                        1)
                                                                       || (U_1
                                                                           &&
                                                                           T_1
                                                                           &&
                                                                           S_1
                                                                           &&
                                                                           (!R_1)))
                                                                      && (C_1
                                                                          ==
                                                                          L_1)
                                                                      && (E_1
                                                                          ==
                                                                          K_1)
                                                                      && (F_1
                                                                          ==
                                                                          I_1)
                                                                      && (D1_1
                                                                          ==
                                                                          V_1)))
         && (D_1 || F1_1 || (!E1_1) || (!A_1) || (!H_1)
             || (((1 <= X_1) || ((!U_1) && T_1 && S_1 && (!R_1)))
                 && ((!(1 <= X_1)) || (U_1 && (!T_1) && S_1 && (!R_1)))
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (D1_1 == V_1))) && (A_1 || D_1 || E1_1 || (!F1_1)
                                        || (!H_1)
                                        ||
                                        (((!(E_1 == 0))
                                          || ((!U_1) && T_1 && (!S_1) && R_1))
                                         && ((E_1 == 0)
                                             || (U_1 && T_1 && (!S_1)
                                                 && (!R_1))) && (C_1 == L_1)
                                         && (E_1 == K_1) && (F_1 == I_1)
                                         && (D1_1 == V_1))) && (D_1 || (!E1_1)
                                                                || (!F1_1)
                                                                || (!A_1)
                                                                || (!H_1)
                                                                ||
                                                                (((!(E_1 ==
                                                                     0))
                                                                  || ((!U_1)
                                                                      &&
                                                                      (!T_1)
                                                                      && S_1
                                                                      && R_1))
                                                                 &&
                                                                 ((E_1 == 0)
                                                                  || (U_1
                                                                      && T_1
                                                                      && S_1
                                                                      &&
                                                                      (!R_1)))
                                                                 && (C_1 ==
                                                                     L_1)
                                                                 && (E_1 ==
                                                                     K_1)
                                                                 && (F_1 ==
                                                                     I_1)
                                                                 && (D1_1 ==
                                                                     V_1)))
         && (A_1 || (!E1_1) || (!F1_1) || (!D_1) || (!H_1)
             || (((F_1 == 1) || ((!U_1) && (!T_1) && S_1 && (!R_1)))
                 && ((!(F_1 == 1)) || (U_1 && (!T_1) && S_1 && R_1))
                 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                 && (D1_1 == V_1))) && (A_1 || E1_1 || F1_1 || (!D_1)
                                        || (!H_1)
                                        ||
                                        (((E_1 == 0)
                                          || ((!U_1) && (!T_1) && (!S_1)
                                              && R_1)) && ((!(E_1 == 0))
                                                           || (U_1 && (!T_1)
                                                               && (!S_1)
                                                               && R_1))
                                         && (C_1 == L_1) && (E_1 == K_1)
                                         && (F_1 == I_1) && (D1_1 == V_1)))
         && (Y_1 || Z_1 || A1_1 || (!B1_1) || (!C1_1)) && (P_1 || O_1 || M_1
                                                           || (!N_1)
                                                           || (!Q_1)) && (U_1
                                                                          ||
                                                                          T_1
                                                                          ||
                                                                          R_1
                                                                          ||
                                                                          (!S_1)
                                                                          ||
                                                                          (!W_1))
         && (D_1 || E1_1 || F1_1 || (!A_1) || (!B_1)) && ((!C1_1)
                                                          || ((!Y_1) && (!Z_1)
                                                              && (!A1_1)))
         && (G_1
             || ((X_1 == J_1) && (Y_1 == P_1) && (Z_1 == O_1) && (A1_1 == M_1)
                 && (B1_1 == N_1) && (C1_1 == Q_1))) && (H_1 || ((D1_1 == V_1)
                                                                 && (A_1 ==
                                                                     S_1)
                                                                 && (B_1 ==
                                                                     W_1)
                                                                 && (D_1 ==
                                                                     R_1)
                                                                 && (E1_1 ==
                                                                     U_1)
                                                                 && (F1_1 ==
                                                                     T_1)))
         && ((!Q_1) || ((!P_1) && (!O_1) && (!M_1))) && ((!W_1)
                                                         || ((!U_1) && (!T_1)
                                                             && (!R_1)))
         && ((!B_1) || ((!D_1) && (!E1_1) && (!F1_1))) && (!(G_1 == H_1))))
        abort ();
    state_0 = M_1;
    state_1 = O_1;
    state_2 = P_1;
    state_3 = Q_1;
    state_4 = N_1;
    state_5 = R_1;
    state_6 = T_1;
    state_7 = U_1;
    state_8 = W_1;
    state_9 = S_1;
    state_10 = I_1;
    state_11 = K_1;
    state_12 = L_1;
    state_13 = V_1;
    state_14 = J_1;
    goto state_0;
  main_error:
    reach_error ();
  main_final:
    goto main_final;
  state_0:
    switch (__VERIFIER_nondet__Bool ())
      {
      case 0:
          J_2 = state_0;
          I_2 = state_1;
          H_2 = state_2;
          L_2 = state_3;
          K_2 = state_4;
          D_2 = state_5;
          O_2 = state_6;
          N_2 = state_7;
          B_2 = state_8;
          A_2 = state_9;
          F_2 = state_10;
          E_2 = state_11;
          C_2 = state_12;
          M_2 = state_13;
          G_2 = state_14;
          if (!(O_2 && (!N_2) && A_2 && D_2 && (!(C_2 == 1))))
              abort ();
          goto main_error;

      case 1:
          G_1 = __VERIFIER_nondet__Bool ();
          H_1 = __VERIFIER_nondet__Bool ();
          I_1 = __VERIFIER_nondet_int ();
          if (((I_1 <= -1000000000) || (I_1 >= 1000000000)))
              abort ();
          J_1 = __VERIFIER_nondet_int ();
          if (((J_1 <= -1000000000) || (J_1 >= 1000000000)))
              abort ();
          K_1 = __VERIFIER_nondet_int ();
          if (((K_1 <= -1000000000) || (K_1 >= 1000000000)))
              abort ();
          L_1 = __VERIFIER_nondet_int ();
          if (((L_1 <= -1000000000) || (L_1 >= 1000000000)))
              abort ();
          M_1 = __VERIFIER_nondet__Bool ();
          N_1 = __VERIFIER_nondet__Bool ();
          O_1 = __VERIFIER_nondet__Bool ();
          P_1 = __VERIFIER_nondet__Bool ();
          Q_1 = __VERIFIER_nondet__Bool ();
          R_1 = __VERIFIER_nondet__Bool ();
          S_1 = __VERIFIER_nondet__Bool ();
          T_1 = __VERIFIER_nondet__Bool ();
          U_1 = __VERIFIER_nondet__Bool ();
          V_1 = __VERIFIER_nondet_int ();
          if (((V_1 <= -1000000000) || (V_1 >= 1000000000)))
              abort ();
          W_1 = __VERIFIER_nondet__Bool ();
          A1_1 = state_0;
          Z_1 = state_1;
          Y_1 = state_2;
          C1_1 = state_3;
          B1_1 = state_4;
          D_1 = state_5;
          F1_1 = state_6;
          E1_1 = state_7;
          B_1 = state_8;
          A_1 = state_9;
          F_1 = state_10;
          E_1 = state_11;
          C_1 = state_12;
          D1_1 = state_13;
          X_1 = state_14;
          if (!
              ((Y_1 || Z_1 || A1_1 || B1_1 || (!C1_1) || (!G_1)
                || (Q_1 && (!P_1) && (!O_1) && (!N_1) && (!M_1)
                    && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                    && (X_1 == J_1))) && (Y_1 || Z_1 || A1_1 || B1_1 || C1_1
                                          || (!G_1) || (P_1 && (!O_1)
                                                        && (!N_1) && (!M_1)
                                                        && (C_1 == L_1)
                                                        && (E_1 == K_1)
                                                        && (F_1 == I_1)
                                                        && (J_1 == 2)))
               && (A_1 || D_1 || E1_1 || F1_1 || (!B_1) || (!H_1)
                   || (W_1 && (!U_1) && (!T_1) && (!S_1) && (!R_1)
                       && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                       && (D1_1 == V_1))) && (A_1 || B_1 || D_1 || E1_1
                                              || F1_1 || (!H_1) || (U_1
                                                                    && (!T_1)
                                                                    && (!S_1)
                                                                    && (!R_1)
                                                                    && (C_1 ==
                                                                        L_1)
                                                                    && (E_1 ==
                                                                        K_1)
                                                                    && (F_1 ==
                                                                        I_1)
                                                                    && (V_1 ==
                                                                        1)))
               && (Y_1 || Z_1 || (!A1_1) || (!B1_1) || (!G_1)
                   || ((!Q_1) && (!P_1) && (!O_1) && (!N_1) && (!M_1)
                       && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                       && (X_1 == J_1))) && (Z_1 || B1_1 || (!Y_1) || (!A1_1)
                                             || (!G_1) || ((!Q_1) && (!P_1)
                                                           && (!O_1) && (!N_1)
                                                           && (!M_1)
                                                           && (C_1 == L_1)
                                                           && (E_1 == K_1)
                                                           && (F_1 == I_1)
                                                           && (X_1 == J_1)))
               && ((!Y_1) || (!Z_1) || (!A1_1) || (!B1_1) || (!G_1)
                   || (Q_1 && (!P_1) && (!O_1) && (!N_1) && (!M_1)
                       && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1)
                       && (J_1 == 0))) && (Z_1 || (!Y_1) || (!A1_1) || (!B1_1)
                                           || (!G_1) || ((!P_1) && O_1 && N_1
                                                         && M_1
                                                         && (E_1 == K_1)
                                                         && (F_1 == I_1)
                                                         && (L_1 == 2)
                                                         && (X_1 == J_1)))
               && (Y_1 || B1_1 || (!Z_1) || (!A1_1) || (!G_1)
                   || (P_1 && O_1 && (!N_1) && M_1 && (C_1 == L_1)
                       && (F_1 == I_1) && (K_1 == 2) && (X_1 == J_1))) && (Y_1
                                                                           ||
                                                                           (!Z_1)
                                                                           ||
                                                                           (!A1_1)
                                                                           ||
                                                                           (!B1_1)
                                                                           ||
                                                                           (!G_1)
                                                                           ||
                                                                           (P_1
                                                                            &&
                                                                            O_1
                                                                            &&
                                                                            N_1
                                                                            &&
                                                                            M_1
                                                                            &&
                                                                            (C_1
                                                                             ==
                                                                             L_1)
                                                                            &&
                                                                            (F_1
                                                                             ==
                                                                             I_1)
                                                                            &&
                                                                            (K_1
                                                                             ==
                                                                             0)
                                                                            &&
                                                                            (X_1
                                                                             ==
                                                                             J_1)))
               && (Z_1 || A1_1 || B1_1 || (!Y_1) || (!G_1)
                   || ((!P_1) && O_1 && (!N_1) && (!M_1) && (C_1 == L_1)
                       && (E_1 == K_1) && (I_1 == 2) && (X_1 == J_1))) && (Y_1
                                                                           ||
                                                                           Z_1
                                                                           ||
                                                                           A1_1
                                                                           ||
                                                                           (!B1_1)
                                                                           ||
                                                                           (!G_1)
                                                                           ||
                                                                           (P_1
                                                                            &&
                                                                            (!O_1)
                                                                            &&
                                                                            N_1
                                                                            &&
                                                                            (!M_1)
                                                                            &&
                                                                            (C_1
                                                                             ==
                                                                             L_1)
                                                                            &&
                                                                            (E_1
                                                                             ==
                                                                             K_1)
                                                                            &&
                                                                            (F_1
                                                                             ==
                                                                             I_1)
                                                                            &&
                                                                            (J_1
                                                                             ==
                                                                             2)))
               && (A1_1 || B1_1 || (!Y_1) || (!Z_1) || (!G_1)
                   || ((!P_1) && (!O_1) && (!N_1) && M_1 && (C_1 == L_1)
                       && (E_1 == K_1) && (F_1 == I_1) && (J_1 == 0))) && (Y_1
                                                                           ||
                                                                           A1_1
                                                                           ||
                                                                           (!Z_1)
                                                                           ||
                                                                           (!B1_1)
                                                                           ||
                                                                           (!G_1)
                                                                           ||
                                                                           (((!(E_1 == 2)) || (P_1 && (!O_1) && N_1 && M_1)) && ((E_1 == 2) || (P_1 && O_1 && N_1 && (!M_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (Z_1 || A1_1 || (!Y_1) || (!B1_1) || (!G_1) || (((1 <= D1_1) || ((!P_1) && O_1 && N_1 && (!M_1))) && ((!(1 <= D1_1)) || (P_1 && (!O_1) && N_1 && (!M_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (Y_1 || A1_1 || B1_1 || (!Z_1) || (!G_1) || (((!(E_1 == 0)) || ((!P_1) && O_1 && (!N_1) && M_1)) && ((E_1 == 0) || (P_1 && O_1 && (!N_1) && (!M_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (A1_1 || (!Y_1) || (!Z_1) || (!B1_1) || (!G_1) || (((!(E_1 == 0)) || ((!P_1) && (!O_1) && N_1 && M_1)) && ((E_1 == 0) || (P_1 && O_1 && N_1 && (!M_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (B1_1 || (!Y_1) || (!Z_1) || (!A1_1) || (!G_1) || (((F_1 == 2) || ((!P_1) && (!O_1) && N_1 && (!M_1))) && ((!(F_1 == 2)) || (P_1 && (!O_1) && N_1 && M_1)) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (Y_1 || Z_1 || B1_1 || (!A1_1) || (!G_1) || (((E_1 == 0) || ((!P_1) && (!O_1) && (!N_1) && M_1)) && ((!(E_1 == 0)) || (P_1 && (!O_1) && (!N_1) && M_1)) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (X_1 == J_1))) && (A_1 || F1_1 || (!E1_1) || (!D_1) || (!H_1) || ((!W_1) && (!U_1) && (!T_1) && (!S_1) && (!R_1) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (E1_1 || F1_1 || (!D_1) || (!A_1) || (!H_1) || ((!W_1) && (!U_1) && (!T_1) && (!S_1) && (!R_1) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && ((!E1_1) || (!F1_1) || (!D_1) || (!A_1) || (!H_1) || (W_1 && (!U_1) && (!T_1) && (!S_1) && (!R_1) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (V_1 == 0))) && (F1_1 || (!E1_1) || (!D_1) || (!A_1) || (!H_1) || ((!U_1) && T_1 && S_1 && R_1 && (E_1 == K_1) && (F_1 == I_1) && (L_1 == 1) && (D1_1 == V_1))) && (A_1 || E1_1 || (!F1_1) || (!D_1) || (!H_1) || (U_1 && T_1 && (!S_1) && R_1 && (C_1 == L_1) && (F_1 == I_1) && (K_1 == 1) && (D1_1 == V_1))) && (E1_1 || (!F1_1) || (!D_1) || (!A_1) || (!H_1) || (U_1 && T_1 && S_1 && R_1 && (C_1 == L_1) && (F_1 == I_1) && (K_1 == 0) && (D1_1 == V_1))) && (A_1 || D_1 || F1_1 || (!E1_1) || (!H_1) || ((!U_1) && T_1 && (!S_1) && (!R_1) && (C_1 == L_1) && (E_1 == K_1) && (I_1 == 1) && (D1_1 == V_1))) && (D_1 || E1_1 || F1_1 || (!A_1) || (!H_1) || (U_1 && (!T_1) && S_1 && (!R_1) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (V_1 == 1))) && (A_1 || D_1 || (!E1_1) || (!F1_1) || (!H_1) || ((!U_1) && (!T_1) && (!S_1) && R_1 && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (V_1 == 0))) && (D_1 || E1_1 || (!F1_1) || (!A_1) || (!H_1) || (((!(E_1 == 1)) || (U_1 && (!T_1) && S_1 && R_1)) && ((E_1 == 1) || (U_1 && T_1 && S_1 && (!R_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (D_1 || F1_1 || (!E1_1) || (!A_1) || (!H_1) || (((1 <= X_1) || ((!U_1) && T_1 && S_1 && (!R_1))) && ((!(1 <= X_1)) || (U_1 && (!T_1) && S_1 && (!R_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (A_1 || D_1 || E1_1 || (!F1_1) || (!H_1) || (((!(E_1 == 0)) || ((!U_1) && T_1 && (!S_1) && R_1)) && ((E_1 == 0) || (U_1 && T_1 && (!S_1) && (!R_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (D_1 || (!E1_1) || (!F1_1) || (!A_1) || (!H_1) || (((!(E_1 == 0)) || ((!U_1) && (!T_1) && S_1 && R_1)) && ((E_1 == 0) || (U_1 && T_1 && S_1 && (!R_1))) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (A_1 || (!E1_1) || (!F1_1) || (!D_1) || (!H_1) || (((F_1 == 1) || ((!U_1) && (!T_1) && S_1 && (!R_1))) && ((!(F_1 == 1)) || (U_1 && (!T_1) && S_1 && R_1)) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (A_1 || E1_1 || F1_1 || (!D_1) || (!H_1) || (((E_1 == 0) || ((!U_1) && (!T_1) && (!S_1) && R_1)) && ((!(E_1 == 0)) || (U_1 && (!T_1) && (!S_1) && R_1)) && (C_1 == L_1) && (E_1 == K_1) && (F_1 == I_1) && (D1_1 == V_1))) && (Y_1 || Z_1 || A1_1 || (!B1_1) || (!C1_1)) && (P_1 || O_1 || M_1 || (!N_1) || (!Q_1)) && (U_1 || T_1 || R_1 || (!S_1) || (!W_1)) && (D_1 || E1_1 || F1_1 || (!A_1) || (!B_1)) && ((!C1_1) || ((!Y_1) && (!Z_1) && (!A1_1))) && (G_1 || ((X_1 == J_1) && (Y_1 == P_1) && (Z_1 == O_1) && (A1_1 == M_1) && (B1_1 == N_1) && (C1_1 == Q_1))) && (H_1 || ((D1_1 == V_1) && (A_1 == S_1) && (B_1 == W_1) && (D_1 == R_1) && (E1_1 == U_1) && (F1_1 == T_1))) && ((!Q_1) || ((!P_1) && (!O_1) && (!M_1))) && ((!W_1) || ((!U_1) && (!T_1) && (!R_1))) && ((!B_1) || ((!D_1) && (!E1_1) && (!F1_1))) && (!(G_1 == H_1))))
              abort ();
          state_0 = M_1;
          state_1 = O_1;
          state_2 = P_1;
          state_3 = Q_1;
          state_4 = N_1;
          state_5 = R_1;
          state_6 = T_1;
          state_7 = U_1;
          state_8 = W_1;
          state_9 = S_1;
          state_10 = I_1;
          state_11 = K_1;
          state_12 = L_1;
          state_13 = V_1;
          state_14 = J_1;
          goto state_0;

      default:
          abort ();
      }

    // return expression

}

